package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 * 数据库表VRP_OFFLINE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222 date 2016-09-28
 */
@SuppressWarnings("serial")
public class VrpOfflineResultEntity implements Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 工序点代码（上料。。。。）
     */
    private String stationCode = "";
    /**
     * 工序点名称
     */
    private String stationDesc = "";
    /**
     * 炉批计划ID
     */
    private String heatPlanNo = "";
    /**
     * 镦拔扩作业批次号
     */
    private String zyBatchId = "";
    /**
     * 镦拔扩订单编号
     */
    private String proPlanId = "";
    /**
     * 镦拔扩订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 组炉主炉号
     */
    private String zpJudgeStoveNo = "";
    /**
     * 组炉主批号
     */
    private String zpBatchNo = "";
    /**
     * 离线支数
     */
    private String offlineNum = "";
    /**
     * 离线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 组炉支数
     */
    private String groupNum = "";
    /**
     * 组炉重量
     */
    private String groupWt = "";
    /**
     * 组炉前炉号
     */
    private String oldJudgeStoveNo = "";
    /**
     * 工序点
     */
    private String opProcess = "";
    public String getOpProcess() {
		return opProcess;
	}

	public void setOpProcess(String opProcess) {
		this.opProcess = opProcess;
	}

	/**
     * 委外支数
     */
    private String subcontractNum = "";
    /**
     * 委外重量
     */
    private String subcontractWt = "";
    /**
     * 委外回报支数
     */
    private String subcontractcompleteNum = "";
    /**
     * 委外回报重量
     */
    private String subcontractcompleteWt = "";
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 委外单号序号
     */
    private String subcontractNoSeq = "";
    /**
     * 作业日期（年月日）
     */
    private String proYearMonthDay = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 组炉标记(1组炉生成的)
     */
    private String groupLog = "";

    private String offlineBranch = "";
    private String totalcount = "";
    private String processOrder = "";
    private String orderNo = "";
    private String orderSeq = "";
    private String deliveryNo = "";
    private String ordLnDlyPk = "";
    private String groupId="";
    private String returnProcess="";
    private String batchGroudNo;
    private String gxsl = "";
    private String gxxk = "";
    private String gxyz = "";
    private String gxdj = "";
    private String gxbj = "";
    private String gxcld = "";
    private String zyBatchId1;
    private String flagStoveNo = "";
    /**
     * 标识炉号
     * @param resultNo value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    public String getSubcontractWt() {
        return subcontractWt;
    }
    
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 原炉批计划ID
     * @return
     */
    public String getZyBatchId1() {
        return zyBatchId1;
    }
    public void setZyBatchId1(String zyBatchId1) {
        this.zyBatchId1 = zyBatchId1;
    }
    public void setSubcontractWt(String subcontractWt) {
        this.subcontractWt = subcontractWt;
    }
    public String getGxsl() {
        return gxsl;
    }
    public void setGxsl(String gxsl) {
        this.gxsl = gxsl;
    }
    public String getGxxk() {
        return gxxk;
    }
    public void setGxxk(String gxxk) {
        this.gxxk = gxxk;
    }
    public String getGxyz() {
        return gxyz;
    }
    public void setGxyz(String gxyz) {
        this.gxyz = gxyz;
    }
    public String getGxdj() {
        return gxdj;
    }
    public void setGxdj(String gxdj) {
        this.gxdj = gxdj;
    }
    public String getGxbj() {
        return gxbj;
    }
    public void setGxbj(String gxbj) {
        this.gxbj = gxbj;
    }
    public String getGxcld() {
        return gxcld;
    }
    public void setGxcld(String gxcld) {
        this.gxcld = gxcld;
    }
    /**
     * 返线工序点
     * @param resultNo value
     */
    public String getReturnProcess() {
        return returnProcess;
    }
    public void setReturnProcess(String returnProcess) {
        this.returnProcess = returnProcess;
    }
    /**
     * 组炉操作Id
     * @param resultNo value
     */
    public String getGroupId() {
        return groupId;
    }
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }
    /**
     * 离线编辑支
     * @param resultNo value
     */
    public String getOfflineBranch() {
        return offlineBranch;
    }
    /**
     * 离线编辑支
     * @param resultNo value
     */
    public void setOfflineBranch(String offlineBranch) {
        this.offlineBranch = offlineBranch;
    }
    /**
     * 剩余离线支
     * @param resultNo value
     */
    public String getTotalcount() {
        return totalcount;
    }
    /**
     * 剩余离线支
     * @param resultNo value
     */
    public void setTotalcount(String totalcount) {
        this.totalcount = totalcount;
    }

    public String getProcessOrder() {
        return processOrder;
    }

    public void setProcessOrder(String processOrder) {
        this.processOrder = processOrder;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    public String getDeliveryNo() {
        return deliveryNo;
    }

    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工序点代码（上料。。。。）
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码（上料。。。。）
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 炉批计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉批计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 镦拔扩作业批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 镦拔扩作业批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 镦拔扩订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 镦拔扩订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 镦拔扩订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 镦拔扩订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 组炉主炉号
     * @return value
     */
    public String getZpJudgeStoveNo() {
        return zpJudgeStoveNo;
    }

    /**
     * 组炉主炉号
     * @param zpJudgeStoveNo value
     */
    public void setZpJudgeStoveNo(String zpJudgeStoveNo) {
        this.zpJudgeStoveNo = zpJudgeStoveNo;
    }

    /**
     * 组炉主批号
     * @return value
     */
    public String getZpBatchNo() {
        return zpBatchNo;
    }

    /**
     * 组炉主批号
     * @param zpBatchNo value
     */
    public void setZpBatchNo(String zpBatchNo) {
        this.zpBatchNo = zpBatchNo;
    }

    /**
     * 离线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 离线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 离线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 离线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 组炉支数
     * @return value
     */
    public String getGroupNum() {
        return groupNum;
    }

    /**
     * 组炉支数
     * @param groupNum value
     */
    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    /**
     * 组炉重量
     * @return value
     */
    public String getGroupWt() {
        return groupWt;
    }

    /**
     * 组炉重量
     * @param groupWt value
     */
    public void setGroupWt(String groupWt) {
        this.groupWt = groupWt;
    }

    /**
     * 组炉前炉号
     * @return value
     */
    public String getOldJudgeStoveNo() {
        return oldJudgeStoveNo;
    }

    /**
     * 组炉前炉号
     * @param oldJudgeStoveNo value
     */
    public void setOldJudgeStoveNo(String oldJudgeStoveNo) {
        this.oldJudgeStoveNo = oldJudgeStoveNo;
    }

    /**
     * 委外支数
     * @return value
     */
    public String getSubcontractNum() {
        return subcontractNum;
    }

    /**
     * 委外支数
     * @param subcontractNum value
     */
    public void setSubcontractNum(String subcontractNum) {
        this.subcontractNum = subcontractNum;
    }

    /**
     * 委外回报支数
     * @return value
     */
    public String getSubcontractcompleteNum() {
        return subcontractcompleteNum;
    }

    /**
     * 委外回报支数
     * @param subcontractcompleteNum value
     */
    public void setSubcontractcompleteNum(String subcontractcompleteNum) {
        this.subcontractcompleteNum = subcontractcompleteNum;
    }

    /**
     * 委外回报重量
     * @return value
     */
    public String getSubcontractcompleteWt() {
        return subcontractcompleteWt;
    }

    /**
     * 委外回报重量
     * @param subcontractcompleteWt value
     */
    public void setSubcontractcompleteWt(String subcontractcompleteWt) {
        this.subcontractcompleteWt = subcontractcompleteWt;
    }

    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 委外单号序号
     * @return value
     */
    public String getSubcontractNoSeq() {
        return subcontractNoSeq;
    }

    /**
     * 委外单号序号
     * @param subcontractNoSeq value
     */
    public void setSubcontractNoSeq(String subcontractNoSeq) {
        this.subcontractNoSeq = subcontractNoSeq;
    }

    /**
     * 作业日期（年月日）
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 作业日期（年月日）
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 组炉标记(1组炉生成的)
     * @return value
     */
    public String getGroupLog() {
        return groupLog;
    }

    /**
     * 组炉标记(1组炉生成的)
     * @param groupLog value
     */
    public void setGroupLog(String groupLog) {
        this.groupLog = groupLog;
    }
}
